类别:
排序:
SOLIDWORKS User Forum
7 小时 前
Hello all, Is there a way to integrate an abort function during a VBA macro when pressing "esc" key ? I have a macro that saves a drawing to PDF, but sometimes it jams and I cannot stop the macro unless I crash SolidWorks. Here is the code: Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swDraw As SldWorks.DrawingDoc Dim Filepath As String Dim FileName As String Dim boolstatus As Boolean Dim longstatus As Long, longwarnings As Long Sub main() Set swApp = Application.SldWorks
SOLIDWORKS User Forum
8 小时 前
Hi, how can you get solidworks drawing custom properties? Or even better the custom properties of a model attached to an active sheet in slddrw? I assume I would set this: Set swSheet = swModel.GetCurrentSheet But then I don't know how to get the the custom properties or the base model and it's active configuration.
SOLIDWORKS User Forum
9 小时 前
Hi, everybody. I am in trouble when I export solidworks model as Step file. Cause when I import this step file again, a whole Arc surface is split into two parts which is different from source model. However, I don't come across this case when I use Autodesk Fusion360 software.
SOLIDWORKS User Forum
10 小时 前
SOLIDWORKS User Forum
10 小时 前
SOLIDWORKS User Forum
12 小时 前
SOLIDWORKS User Forum
17 小时 前
@Artem Taturevych - I have been playing with third party storage from your instruction here . I need to connect the data storage in the DocumentHandler with a property page in the AddIn class that extends SwAddInEx. How would I get access to the data loaded from a document by DocumentHandler in the main addin?
SOLIDWORKS User Forum
21 小时 前
All 24 presentations from this year's 6th edition of SLUGME (SOLIDWORKS Largest Longest User Group Meeting Ever) are now available on the SW_SLUGME YouTube channel. The entire playlist is available here: https://www.youtube.com/playlist?list=PL6RQ4PPG7cPfPp1QntscowXlRV4xYtmQR
SOLIDWORKS User Forum
22 小时 前
Cannot seem to get newly moved parts to show their new locations on an existing print where the view has been for any length of time. If I delete the exploded view and add a new one, it's fine, everything is as expected. Simply will not update newly moved parts immediately. Sometimes days later they will update.
SOLIDWORKS User Forum
22 小时 前
SOLIDWORKS User Forum
1 天 前
I am seeing issues on the PDM explorer in windows 10, the text scaling and alignment runs into itself. Additionally, I am missing the button to export a BOM in PDM. Any ideas on how to fix this?
SOLIDWORKS User Forum
1 天 前
SW 2020 FloXpress error "Can't load dll 'ngp_visu.dll'" displays then crashes SW. Did work briefly for one session until SW crashed. Now the error has returned and FloXpress crashes SW. Any suggestions on how to fix?
SOLIDWORKS User Forum
1 天 前
I've got a weird problem. Please see the attached image. Each end of the spline is tangent to a line. If I try to move point A, point B also moves.
SOLIDWORKS User Forum
1 天 前
SOLIDWORKS User Forum
1 天 前
Hello; I have a sketch for a new logo, & it works great in one model. I then copy the sketch into another sketch for another model, & it's fine, with no errors. However I need to rotate it, for that application, & when I do, using the sketch rotate 90 it does it, but then there's errors in the sketch.
SOLIDWORKS User Forum
1 天 前
SOLIDWORKS User Forum
1 天 前
SOLIDWORKS User Forum
1 天 前